Package ghidra.graph.featurette

# Interface VisualGraphFeaturette<V extends VisualVertex,E extends VisualEdge<V>,G extends VisualGraph<V,E>>

All Known Implementing Classes:
  `VgSatelliteFeaturette`

public interface VisualGraphFeaturette<V extends VisualVertex,E extends VisualEdge<V>,G extends VisualGraph<V,E>>
An interface that represents a sub-feature of a `VisualGraphComponentProvider`. This allows the base provider to have a set of features ready to be installed by subclasses.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(VisualGraphComponentProvider<V,E,G> provider)`
  Called to initialize this feature when the provider and view are ready
  `void`
  `providerClosed(VisualGraphComponentProvider<V,E,G> provider)`
  Called when the client provider is closed
  `void`
  `providerOpened(VisualGraphComponentProvider<V,E,G> provider)`
  Called when the client provider is opened
  `void`
  `readConfigState(SaveState saveState)`
  Called when the client wishes to restore configuration state.
  `void`
  `remove()`
  Called when the provider is being disposed
  `void`
  `writeConfigState(SaveState state)`
  Called when the client wishes to save configuration state.

- ## Method Details

  - ### init

    void init(VisualGraphComponentProvider<V,E,G> provider)
    Called to initialize this feature when the provider and view are ready
    Parameters:
      `provider` - the provider associated with this feature

  - ### writeConfigState

    void writeConfigState(SaveState state)
    Called when the client wishes to save configuration state. Features can add any state they wish to be persisted over tool launches.
    Parameters:
      `state` - the container for state information

  - ### readConfigState

    void readConfigState(SaveState saveState)
    Called when the client wishes to restore configuration state. Features can read state previously saved from a call to `writeConfigState(SaveState)`.
    Parameters:
      `saveState` - the container for state information

  - ### providerOpened

    void providerOpened(VisualGraphComponentProvider<V,E,G> provider)
    Called when the client provider is opened
    Parameters:
      `provider` - the provider

  - ### providerClosed

    void providerClosed(VisualGraphComponentProvider<V,E,G> provider)
    Called when the client provider is closed
    Parameters:
      `provider` - the provider

  - ### remove

    void remove()
    Called when the provider is being disposed